
@media screen and (min-width: 768px) and (max-width: 1200px) {
    .header {

        .container {
            width: 90%;
        }

    }

    .content {
        @include grid-start;
        grid-template-columns: 1fr;
    }

    .instagram {
        .container {
            width: 90%;
        }
        &__shots a:last-child {
            display: none;
        }
    }

    .footer {
        .container {
            width: 90%;
        }
    }
}

@media screen and (min-width: 320px) and (max-width: 767px) {
    .header {

        .container {
            width: 95%;
        }

        &__nav {
            position: relative;
            
        }

        &__list {
            position: absolute;
            width: 182px;
            right: 0;
            top: -264px;
            display: flex;
            flex-direction: column;
            background-color: #f5f5f5;

            &-active {
                top: 20px;
            }

            & li {
                padding: .5rem 0;
                &:hover {
                    background-color: #E5E5E5;
                }

                & li:first-child {
                    color: #57A4A4;
                }

            }
            
            &-item {
                padding: 5px 13px;
            }
        }


        &__burger {
            display: block;
            width: 44px;
            height: 37px;
            background-color: black;
            position: absolute;
            right: 19px;
            top: 23px;
            cursor: pointer;

            &::before,
            &::after,
            span {
                @include pseudo;
                background-color: #fff;
                height: 2px;
                width: 50%;
                right: 11px;
            }

            span {
                top: 17px;
            }

            &::after {
                transition: .5s;
                bottom: 13px;
            }

            &::before {
                transition: .5s;
                top: 12px;
            }

            &-active {
                span {
                    display: none;
                }

                &::before {
                    transform: rotate(-45deg);
                    top: 16px;
                }

                &::after {
                    transform: rotate(45deg);
                    bottom: 19px;
                }

                &::after,
                &::before {
                    transition-delay: 0s, .3s;
                }
            }

        }
    }

    .content {

        @include grid-start;
        grid-template-columns: 1fr;
        justify-items: start;
        

        &__item {
            display: flex;
            justify-content: flex-start;
            flex-direction: column;
        }

        &__img {
            margin-bottom: 1rem;
        }

        &__info {
            display: none;
        }
    }

    .instagram {

        .container {
            width: 80%;
        }

        &__link {
            display: none;
        }

        &__shots a:not(:first-child) {
            display: none;
        }
    }

    .footer {
        .container {
            width: 95%;
        }

        &__contacts {
            display: flex;
            flex-direction: column;

            span {
                margin-bottom: .5rem;
            }

            a {
                margin-bottom: .5rem;
            }
        }
    }
}